classification
Title: Use specific asserts in urllib related tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: giampaolo.rodola, orsenthil, pje, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-02-07 21:34 by serhiy.storchaka, last changed 2014-02-08 13:36 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_urllib_asserts.patch serhiy.storchaka, 2014-02-07 21:34 review
Messages (4)
msg210561 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-07 21:34
The proposed patch makes the urllib, httplib, ftplib, cgi, and wsgiref modules tests use more specific asserts. This will provide more useful failure report.
msg210565 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-02-07 21:39
Patch LGTM.
msg210627 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-02-08 13:07
New changeset b21397ca58c7 by Serhiy Storchaka in branch '2.7':
Issue #20555: Use specific asserts in urllib, httplib, ftplib, cgi, wsgiref tests.
http://hg.python.org/cpython/rev/b21397ca58c7

New changeset b6f8d5148a05 by Serhiy Storchaka in branch '3.3':
Issue #20555: Use specific asserts in urllib, httplib, ftplib, cgi, wsgiref tests.
http://hg.python.org/cpython/rev/b6f8d5148a05

New changeset 868675190b34 by Serhiy Storchaka in branch 'default':
Issue #20555: Use specific asserts in urllib, httplib, ftplib, cgi, wsgiref tests.
http://hg.python.org/cpython/rev/868675190b34
msg210635 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-08 13:36
Thank you for your review Giampaolo.
History
Date User Action Args
2014-08-05 05:01:38ezio.melottilinkissue17665 superseder
2014-02-08 13:36:38serhiy.storchakasetstatus: open -> closed
messages: + msg210635

assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2014-02-08 13:07:56python-devsetnosy: + python-dev
messages: + msg210627
2014-02-07 21:39:09giampaolo.rodolasetmessages: + msg210565
2014-02-07 21:36:36serhiy.storchakalinkissue16510 dependencies
2014-02-07 21:34:25serhiy.storchakacreate